Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgUtil::DelaunayTriangulator Class Reference

Inheritance diagram for osgUtil::DelaunayTriangulator:

[legend]
List of all members.

## Public Types
typedef std::vector< osg::ref_ptr< DelaunayConstraint > > | linelist
## Public Member Functions
| DelaunayTriangulator ()
| DelaunayTriangulator (osg::Vec3Array *points, osg::Vec3Array *normals=0)
| DelaunayTriangulator (const DelaunayTriangulator &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
const osg::Vec3Array * | getInputPointArray () const
| Get the const input point array.
osg::Vec3Array * | getInputPointArray ()
| Get the input point array.
void | setInputPointArray (osg::Vec3Array *points)
| Set the input point array.
void | addInputConstraint (DelaunayConstraint *dc)
| Add an input constraint loop.
const osg::Vec3Array * | getOutputNormalArray () const
| Get the const output normal array (optional).
osg::Vec3Array * | getOutputNormalArray ()
| Get the output normal array (optional).
void | setOutputNormalArray (osg::Vec3Array *normals)
| Set the output normal array (optional).
bool | triangulate ()
| Start triangulation.
const osg::DrawElementsUInt * | getTriangles () const
| Get the generated primitive (call triangulate() first).
osg::DrawElementsUInt * | getTriangles ()
| Get the generated primitive (call triangulate() first).
void | removeInternalTriangles (DelaunayConstraint *constraint)
| remove the triangles internal to the constraint loops.
## Protected Member Functions
virtual | ~DelaunayTriangulator ()
DelaunayTriangulator & | operator= (const DelaunayTriangulator &)
int | getindex (const osg::Vec3 pt, const osg::Vec3Array *points)

## Member Typedef Documentation

typedef std::vector< osg::ref_ptr<DelaunayConstraint> > osgUtil::DelaunayTriangulator::linelist

## Constructor & Destructor Documentation

osgUtil::DelaunayTriangulator::DelaunayTriangulator | ( |  | ) |

osgUtil::DelaunayTriangulator::DelaunayTriangulator | ( | osg::Vec3Array * | points,
|  | osg::Vec3Array * | normals = 0
| ) | `[explicit]`

osgUtil::DelaunayTriangulator::DelaunayTriangulator | ( | const DelaunayTriangulator & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) |

virtual osgUtil::DelaunayTriangulator::~DelaunayTriangulator | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void osgUtil::DelaunayTriangulator::addInputConstraint | ( | DelaunayConstraint * | dc | ) | `[inline]`

| Add an input constraint loop. the edges of the loop will constrain the triangulation. if remove!=0, the internal triangles of the constraint will be removed; the user may the replace the constraint line with an equivalent geometry. GWM July 2005

int osgUtil::DelaunayTriangulator::getindex | ( | const osg::Vec3 | pt,
|  | const osg::Vec3Array * | points
| ) | `[protected]`

osg::Vec3Array * osgUtil::DelaunayTriangulator::getInputPointArray | ( |  | ) | `[inline]`

| Get the input point array.

const osg::Vec3Array * osgUtil::DelaunayTriangulator::getInputPointArray | ( |  | ) | const`[inline]`

| Get the const input point array.

osg::Vec3Array * osgUtil::DelaunayTriangulator::getOutputNormalArray | ( |  | ) | `[inline]`

| Get the output normal array (optional).

const osg::Vec3Array * osgUtil::DelaunayTriangulator::getOutputNormalArray | ( |  | ) | const`[inline]`

| Get the const output normal array (optional).

osg::DrawElementsUInt * osgUtil::DelaunayTriangulator::getTriangles | ( |  | ) | `[inline]`

| Get the generated primitive (call triangulate() first).

const osg::DrawElementsUInt * osgUtil::DelaunayTriangulator::getTriangles | ( |  | ) | const`[inline]`

| Get the generated primitive (call triangulate() first).

DelaunayTriangulator& osgUtil::DelaunayTriangulator::operator= | ( | const DelaunayTriangulator & |  | ) | `[inline, protected]`

void osgUtil::DelaunayTriangulator::removeInternalTriangles | ( | DelaunayConstraint * | constraint | ) |

| remove the triangles internal to the constraint loops. (Line strips cannot remove any internal triangles).

void osgUtil::DelaunayTriangulator::setInputPointArray | ( | osg::Vec3Array * | points | ) | `[inline]`

| Set the input point array.

void osgUtil::DelaunayTriangulator::setOutputNormalArray | ( | osg::Vec3Array * | normals | ) | `[inline]`

| Set the output normal array (optional).

bool osgUtil::DelaunayTriangulator::triangulate | ( |  | ) |

| Start triangulation.

The documentation for this class was generated from the following file:

- DelaunayTriangulator